from enum import Enum
import subprocess

term = 'alacritty'
focus_color = '#076678'
border_width = 2
window_margin = 5
mod = 'mod4'
hotkey_file='/home/paul/Hotkeys'
main_screen_res = [3440,1440]
top_screen_res = [1440,900]

#region chassis type detection
class ChassisType(Enum):
    DESKTOP = 0
    LAPTOP = 1

def detect_chassis_type() -> ChassisType:
    try:
        output = subprocess.check_output(["hostnamectl", "status"], universal_newlines=True)
    except subprocess.CalledProcessError as e:
        print("Error running hostnamectl:", e)
        exit(1)
    return ChassisType.LAPTOP if "Chassis: laptop" in output else ChassisType.DESKTOP

chassis_type = detect_chassis_type()
#endregion


#region colors
light_foreground_color = ['#fbf1c7','#fbf1c7']
dark_foreground_color = ['#282828','#282828']
background_color0  = ['#1d2021','#1d2021']
background_color8  = ['#7c6f64','#7c6f64']
base_color = background_color0
# red
red_color = ['#cc241d','#cc241d']
light_red_color  = ['#fb4934','#fb4934']
# green
green_color = ['#98971a','#98971a']
light_green_color  = ['#b8bb26','#b8bb26']
#orange
orange_color = ['#d65d0e','#d65d0e']
# yellow
yellow_color  = ['#d79921','#d79921']
light_yellow_color = ['#fabd2f','#fabd2f']
#blue
blue_color = ['#076678','#076678']
# purple
purple_color  = ['#b16286','#b16286']
light_purple_color  = ['#d3869b','#d3869b']
# magenta
magenta_color  = ['#ff79c6','#ff79c6']
# cyan
cyan_color  = ['#8be9fd','#8be9fd']
#endregion
